<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Table and Form</title>
</head>
<body>
    <header>
        <h1>HTML Table and Forms</h1>
    </header>
    <main>
        <section>
            <h1>HTML Entities</h1>
            <p><em>Reserved Character in HTML (e.g. < or > character that can be mixed up with HTML code)</em></p>
            <table border="1">
                <thead>
                    <tr>
                        <th colspan="2">Entity</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>&lt;</td>
                        <td>lt</td>
                        <td>less than</td>
                    </tr>
                    <tr>
                        <td>&gt;</td>
                        <td>gt</td>
                        <td>greater than</td>
                    </tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>Peso sign</td>
                    </tr>
                    <tr>
                        <td>&amp;</td>
                        <td>amp</td>
                        <td>ampersand</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>double quotation mark</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quotation mark (apostophe)</td>
                    </tr>
                    <tr>
                        <td>&ntilde;</td>
                        <td>ntilde</td>
                        <td>lower tilde</td>
                    </tr>
                    <tr>
                        <td>&Ntilde;</td>
                        <td>Ntilde</td>
                        <td>upper tilde</td>
                    </tr>
                </tbody>
                <tfoot>
                    <tr>
                        <th colspan="3">List of HTML Entities</th>
                    </tr>
                </tfoot>
            </table>
        </section>
        <section>
            <h2>HTML Forms</h2>
            <p><em>Input Elements that make up forms.</em></p>
            
            <form action="">
                <label for="full-name">Full Name:</label><br>
                <input type="text" name="full-name" id="full-name" required><br>

                <label for="birth-date">Date of Birth:</label><br>
                <input type="date" name="birth-date" id="birth-date" required><br>
                
                <label for="age">Age:</label><br>
                <input type="number" name="age" id="age" required><br>

                <label for="gender">Gender:</label><br>
                <select name="gender" id="gender">
                    <option value="" disabled selected>-- Select Gender --</option>
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                </select><br><br>

                <label for="note">Notes:</label><br>
                <textarea name="note" id="note" cols="30" rows="10"></textarea><br><br>

                <label for="new-user">New User:</label><br>
                <input type="radio" name="new-user" id="new-user-yes" value="yes">
                <label for="new-user-yes">Yes</label><br>
                <input type="radio" name="new-user" id="new-user-no" value="no">
                <label for="new-user-no">No</label><br><br>

                <label for="">Role</label><br>
                <input type="checkbox" name="role-developer" id="role-developer">
                <label for="role-developer">Developer</label><br>
                <input type="checkbox" name="role-student" id="role-student">
                <label for="role-student">Student</label><br>
                <input type="checkbox" name="role-manager" id="role-manager">
                <label for="role-manager">Manager</label><br><br>

                <button type="submit">Submit</button><br>
                <button type="reset">Reset</button>
            </form>
        </section>
    </main>
</body>
</html>